summaryrefslogtreecommitdiffstats
path: root/system/kc
diff options
context:
space:
mode:
Diffstat (limited to 'system/kc')
-rw-r--r--system/kc/README19
-rw-r--r--system/kc/kc.SlackBuild55
-rw-r--r--system/kc/kc.info6
-rw-r--r--system/kc/slack-desc2
4 files changed, 28 insertions, 54 deletions
diff --git a/system/kc/README b/system/kc/README
index ea03c74bae..c058617b62 100644
--- a/system/kc/README
+++ b/system/kc/README
@@ -1,17 +1,14 @@
-kc is a console based password storing application using an encrypted
+kc is a console-based password storing application using an encrypted
XML document as its database.
-Features include (but not limited to):
- * fixed string or regex based search (if compiled with pcre)
+Features include:
+ * fixed string or regex based search
+ * OpenSSH agent support for protecting the database
+ * YubiKey challenge-response support for protecting the database
* encrypted or plain text database import/export
- * fuzzy displaying of passwords if you suspect someone might watch
- your monitor
- * copy passwords to various clipboards
* multiple keychains per database
- * the usual editing functions
- * compiles and works on *BSD and Linux
+ * copy passwords to various clipboards
* editline (libedit) and readline support
- * clean and simple CLI with command and keychain completion
This SlackBuild has build options to control some of its behavior:
LIBSCRYPT: If this variable is set, kc will be built with scrypt
@@ -19,3 +16,7 @@ LIBSCRYPT: If this variable is set, kc will be built with scrypt
for this, that is also available from SBo.
EDITLINE: If this variable is set, kc will use editline for its
command line interface; otherwise, readline will be used.
+PCRE: If this variable is set, kc will use libcpre to enable
+ perl-compatible regular expressions while searching.
+ Note that POSIX regular expressions are supported without
+ the need of this.
diff --git a/system/kc/kc.SlackBuild b/system/kc/kc.SlackBuild
index ba8bab80ad..f69dbaf1db 100644
--- a/system/kc/kc.SlackBuild
+++ b/system/kc/kc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2011-2018 LEVAI Daniel
+# Copyright (c) 2011-2024 LEVAI Daniel
# All rights reserved.
#
# * Redistribution and use in source and binary forms, with or without
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=kc
-VERSION=${VERSION:-2.4.2}
+VERSION=${VERSION:-2.5.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +39,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -68,45 +65,17 @@ fi
set -e
-# XXX Upgrade incompatibility notice
-if [ -f /var/log/packages/kc-*_SBo ];then
- typeset -i KC_MINOR=$( ls -1 /var/log/packages/kc-*_SBo |cut -d- -f2 |cut -d. -f2 )
- if [ ${KC_MINOR} -lt 4 ];then
- echo ""
- echo "!!! Incompatibility notice !!!"
- echo ""
- echo "This SlackBuild has detected a version of kc older than 2.4 on your system."
- echo "Starting with version 2.4, kc uses a newer database format."
- echo "What this means is that starting from kc-2.4, it will not be"
- echo "able to open older databases, and an older kc will not be able"
- echo "to open newer databases."
- echo "The recommended upgrade path is detailed in the kc-2.4 package's"
- echo "Changelog file:"
- echo "https://github.com/levaidaniel/kc/blob/2.4/Changelog"
- echo "... but here is a shallow outline of the procedure:"
- echo "1) Dump your database as an XML file with your old kc."
- echo " See the dump command's description."
- echo "2) Upgrade kc to version 2.4 or later."
- echo "3) Create a new empty database."
- echo "4) Import your XML dump into your empty database."
- echo "5) Shred your XML export."
- echo ""
- echo "But really, you should check the Changelog file for detailed instructions."
- echo ""
- echo -n "Type in UPGRADE, if you are ready to upgrade: "; read
-
- if [ "${REPLY}" != 'UPGRADE' ];then
- echo "Not ready to upgrade!"
- exit 1;
- fi
- fi
-fi
+printf "\n\n"
+echo "Please read /usr/doc/$PRGNAM-$VERSION/Changelog.md after installation to see why you might not be able to open your database anymore."
+echo 'Press Ctrl-C within ten seconds to abort, or press enter to continue...'
+read -t 10 || true
+printf "\n\n"
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -116,6 +85,10 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+if [ -n "${PCRE}" ];then
+ PCRE="HAVE_PCRE=y"
+fi
+
if [ -n "${LIBSCRYPT}" ];then
LIBSCRYPT="HAVE_LIBSCRYPT=y"
fi
@@ -124,14 +97,14 @@ if [ -n "${EDITLINE}" ];then
EDITLINE="EDITLINE=y"
fi
-CFLAGS="$SLKCFLAGS" make -f Makefile.linux HAVE_PCRE=y ${LIBSCRYPT} ${EDITLINE}
+CFLAGS="$SLKCFLAGS" make -f Makefile.linux ${PCRE} ${LIBSCRYPT} ${EDITLINE}
make -f Makefile.linux install DESTDIR=$PKG PREFIX=/usr
strip --strip-unneeded $PKG/usr/bin/kc
gzip -9 $PKG/usr/man/man1/kc.1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changelog LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a Changelog.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/kc/kc.info b/system/kc/kc.info
index be573e9711..59fbdc96be 100644
--- a/system/kc/kc.info
+++ b/system/kc/kc.info
@@ -1,8 +1,8 @@
PRGNAM="kc"
-VERSION="2.4.2"
+VERSION="2.5.3"
HOMEPAGE="https://github.com/levaidaniel/kc"
-DOWNLOAD="https://github.com/levaidaniel/kc/releases/download/2.4.2/kc-2.4.2.tar.bz2"
-MD5SUM="c75a1a06677f40abc319c83c80cccc4b"
+DOWNLOAD="https://github.com/levaidaniel/kc/archive/refs/tags/2.5.3/kc-2.5.3.tar.gz"
+MD5SUM="0886ffbc09c79d5d04b50edca56f2f1d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libbsd"
diff --git a/system/kc/slack-desc b/system/kc/slack-desc
index 6a39d94441..a0c1780510 100644
--- a/system/kc/slack-desc
+++ b/system/kc/slack-desc
@@ -8,7 +8,7 @@
|-----handy-ruler------------------------------------------------------|
kc: kc (console-based password management)
kc:
-kc: A console based password storing application using an encrypted XML
+kc: A console-based password storing application using an encrypted XML
kc: document as its database.
kc:
kc: Homepage: https://github.com/levaidaniel/kc